org.eclipse.ease.debugging.events.debugger

## Class VariablesEvent

- java.lang.Object
- - org.eclipse.ease.debugging.events.AbstractEvent
  - - org.eclipse.ease.debugging.events.debugger.VariablesEvent

All Implemented Interfaces:
  IDebuggerEvent, IDebugEvent

    public class VariablesEvent
    extends AbstractEvent
    implements IDebuggerEvent

### Constructor Summary

Constructors
Constructor and Description
`VariablesEvent(EaseDebugStackFrame requestor, java.util.Collection<EaseDebugVariable> variables)`

### Method Summary

All Methods Instance Methods Concrete Methods
`EaseDebugStackFrame` `getRequestor()`
`java.util.Collection<EaseDebugVariable>` `getVariables()`

### Methods inherited from class org.eclipse.ease.debugging.events.AbstractEvent

`getThread, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VariablesEvent

    public VariablesEvent(EaseDebugStackFrame requestor,
                          java.util.Collection<EaseDebugVariable> variables)

### Method Detail

#### getRequestor

    public EaseDebugStackFrame getRequestor()

#### getVariables

    public java.util.Collection<EaseDebugVariable> getVariables()